Fedora Linux Support Community & Resources Center
  #1  
Old 20th October 2016, 04:16 PM
Jeff Sadowski Offline
Registered User
 
Join Date: Jun 2005
Age: 42
Posts: 477
linuxchrome
kernel 4.9.0rc0 4.9.0rc1 virtualbox didn't work

I have a rawhide machine running in a virtualbox. I noticed the last time I did a dnf update about 2 weeks ago and it installed kernel-4.9.0rc0 I didn't reboot it at the time. It had been powered off for 2 weeks and just tried turning it on today. The kernel 4.9.0rc0 did a kernel panic and the machine never came all the way up. I booted with 4.8.0rc8 and did a dnf upgrade. I saw it install 4.9.0rc1 so I tried that kernel out. I didn't get a kernel panic on screen but it never came up either. I just get a solid cursor. What can I do to be helpful?

I was using Virtualbox 5.1.7
I just upgraded to Virtualbox 5.1.8 to see if that fixed it
nope

By playing with options I am able to get it working. Seems the 4.9.0 kernel needs I/O APIC Enabled.
Whereas the 4.8.0rc8 did not.

Last edited by Jeff Sadowski; 24th October 2016 at 05:02 PM. Reason: Came to a solution.
Reply With Quote
  #2  
Old 1st November 2016, 12:04 AM
antikythera Online
Administrator
 
Join Date: Dec 2013
Location: United Kingdom
Posts: 4,283
linuxchrome
Re: kernel 4.9.0rc0 4.9.0rc1 virtualbox didn't work

I noticed tonight while searching for 4.8.5 for F25 that rawhide 4.9.0 rc3 is being built at present
__________________
Latest survey shows that 3 out of 4 people make up 75% of the world's population - Stephen Hawking
Download, Install and Share Fedora
- Official ISO Torrents
| Live ISO Respins containing post-release updates
Reply With Quote
  #3  
Old 1st November 2016, 08:51 AM
antikythera Online
Administrator
 
Join Date: Dec 2013
Location: United Kingdom
Posts: 4,283
linuxchrome
Re: kernel 4.9.0rc0 4.9.0rc1 virtualbox didn't work

just installed it to F25 bare metal and it works nicely
__________________
Latest survey shows that 3 out of 4 people make up 75% of the world's population - Stephen Hawking
Download, Install and Share Fedora
- Official ISO Torrents
| Live ISO Respins containing post-release updates
Reply With Quote
  #4  
Old 1st November 2016, 04:25 PM
Jeff Sadowski Offline
Registered User
 
Join Date: Jun 2005
Age: 42
Posts: 477
linuxchrome
Re: kernel 4.9.0rc0 4.9.0rc1 virtualbox didn't work

I am not looking at running fedora25 on bare metal only as a VM in virtualbox. If you look I marked this thread as solved. If you read I had to turn on an option that was not normally on in virtualbox to get it to work. I left this thread up so that others that run it in virtualbox may see my solution and confirm or deny that they have to do the same thing. Or at least as a reference for someone that may be having the same issue.
Reply With Quote
  #5  
Old 1st November 2016, 04:38 PM
antikythera Online
Administrator
 
Join Date: Dec 2013
Location: United Kingdom
Posts: 4,283
linuxfedorafirefox
Re: kernel 4.9.0rc0 4.9.0rc1 virtualbox didn't work

yes I did read the thread, I mentioned rc3 as it may work without the virtualbox option being toggled.
__________________
Latest survey shows that 3 out of 4 people make up 75% of the world's population - Stephen Hawking
Download, Install and Share Fedora
- Official ISO Torrents
| Live ISO Respins containing post-release updates
Reply With Quote
  #6  
Old 1st November 2016, 08:51 PM
Jeff Sadowski Offline
Registered User
 
Join Date: Jun 2005
Age: 42
Posts: 477
linuxchrome
Re: kernel 4.9.0rc0 4.9.0rc1 virtualbox didn't work

Thank you,

I just ran a dnf upgrade but only got kernel.x86_64 4.9.0-0.rc2.git2.1.fc26

Which still didn't work without I/O APIC Enabled

Last edited by Jeff Sadowski; 1st November 2016 at 09:13 PM.
Reply With Quote
  #7  
Old 4th November 2016, 09:14 AM
nobody Offline
Registered User
 
Join Date: Mar 2012
Location: München, Deutschland
Posts: 742
windows_98_nt_2000chrome
Question Re: kernel 4.9.0rc0 4.9.0rc1 virtualbox didn't work

While solving span-off thread: http://www.forums.fedoraforum.org/sh...d.php?t=312042

And while doing the following: http://www.forums.fedoraforum.org/sh...2&postcount=12

I made one stupid, blind spot mistake : I forgot, before issuing releasever=rawhide to install from rpm-fusion VirtualBox-5.1.8, to install it on my Fedora 25 distro (prior upgrading).

Since rpm-fusion is not included in rawhide, what I should do to install VirtualBox-5.1.8? To download VirtualBox...(dot)rpm and install it as .rpm? From where I should download VirtualBox...(dot)rpm?

Thank you,
_nobody_
Reply With Quote
  #8  
Old 5th November 2016, 08:22 AM
nobody Offline
Registered User
 
Join Date: Mar 2012
Location: München, Deutschland
Posts: 742
windows_98_nt_2000chrome
Question Re: kernel 4.9.0rc0 4.9.0rc1 virtualbox didn't work

Quote:
Originally Posted by nobody View Post
While solving span-off thread: http://www.forums.fedoraforum.org/sh...d.php?t=312042

And while doing the following: http://www.forums.fedoraforum.org/sh...2&postcount=12

I made one stupid, blind spot mistake : I forgot, before issuing releasever=rawhide to install from rpm-fusion VirtualBox-5.1.8, to install it on my Fedora 25 distro (prior upgrading).

Since rpm-fusion is not included in rawhide, what I should do to install VirtualBox-5.1.8? To download VirtualBox...(dot)rpm and install it as .rpm? From where I should download VirtualBox...(dot)rpm?
CLI command traces are worth 1000nd words!

Quote:
[root@localhost ~]# uname -r
4.9.0-0.rc2.git2.1.fc26.x86_64
[root@localhost ~]# cd Downloads
[root@localhost Downloads]# ls -al
total 85216
drwxr-xr-x. 2 user user 4096 Nov 4 18:52 .
drwx------. 15 user user 4096 Nov 4 08:43 ..
-rw-rw-r--. 1 user user 87251962 Nov 4 18:52 VirtualBox-5.1-5.1.8_111374_el5-1.x86_64.rpm
[root@localhost Downloads]# rpm -i VirtualBox-5.1-5.1.8_111374_el5-1.x86_64.rpm
warning: VirtualBox-5.1-5.1.8_111374_el5-1.x86_64.rpm: Header V4 DSA/SHA1 Signature, key ID 98ab5139: NOKEY
error: Failed dependencies:
libSDL-1.2.so.0()(64bit) is needed by VirtualBox-5.1-5.1.8_111374_el5-1.x86_64
libcrypto.so.6()(64bit) is needed by VirtualBox-5.1-5.1.8_111374_el5-1.x86_64
libpng12.so.0()(64bit) is needed by VirtualBox-5.1-5.1.8_111374_el5-1.x86_64
libpng12.so.0(PNG12_0)(64bit) is needed by VirtualBox-5.1-5.1.8_111374_el5-1.x86_64
libssl.so.6()(64bit) is needed by VirtualBox-5.1-5.1.8_111374_el5-1.x86_64

[root@localhost Downloads]#
So, I need to return to square root one and try it again!

_nobody_
Reply With Quote
  #9  
Old 5th November 2016, 10:52 AM
nobody Offline
Registered User
 
Join Date: Mar 2012
Location: München, Deutschland
Posts: 742
windows_98_nt_2000chrome
Thumbs up Re: kernel 4.9.0rc0 4.9.0rc1 virtualbox didn't work

Quote:
Originally Posted by nobody View Post
So, I need to return to square root one and try it again!
Yep, Yep... Yep!

Here is the pointer to be used to upgrade rawhide to have rpm-fusion included in Fedoras: http://rpmfusion.org/Configuration

Code:
su -c 'dnf install https://download1.rpmfusion.org/free/fedora/rpmfusion-free-release-$(rpm -E %fedora).noarch.rpm https://download1.rpmfusion.org/nonfree/fedora/rpmfusion-nonfree-release-$(rpm -E %fedora).noarch.rpm'
And... I have the following as the result: http://www.forums.fedoraforum.org/sh...52&postcount=8

This issue is definitely solved, I should say, shouldn't I?!

_nobody_
Reply With Quote
  #10  
Old 11th November 2016, 05:23 AM
Jeff Sadowski Offline
Registered User
 
Join Date: Jun 2005
Age: 42
Posts: 477
linuxfedorachrome
Re: kernel 4.9.0rc0 4.9.0rc1 virtualbox didn't work

I updated today and with kernel 4.9.0-0.rc4.git0.1.fc26.x86_64 I was able to take out that option.
Reply With Quote
Reply

Tags
kernel, rc0, rc1, virtualbox, work

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] VirtualBox won't work: Kernel driver not installed (rc=-1908) sebby12 Using Fedora 7 22nd January 2016 09:14 AM
VirtualBox doesnt work with Kernel 3.17.1-303 Algram F21 Development Forum 1 24th October 2014 05:49 PM
Ati Drivers' akmods packages didn't work with the 3.6.2 new kernel Jake Jast Hardware & Laptops 6 30th October 2012 07:28 PM
yum install nvidia-glx kernel-module-nvidia-`(uname -r)` DIDN'T WORK :( jmachine Using Fedora 16 14th July 2005 08:57 PM
notebook with kernel 2.6.1 usb mouse didn't work. f1e0n Fedora Core 2 Test Releases 1 8th February 2004 06:05 PM


Current GMT-time: 19:08 (Monday, 26-06-2017)

TopSubscribe to XML RSS for all Threads in all ForumsFedoraForumDotOrg Archive
logo

All trademarks, and forum posts in this site are property of their respective owner(s).
FedoraForum.org is privately owned and is not directly sponsored by the Fedora Project or Red Hat, Inc.

Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding Members

Powered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc.

FedoraForum is Powered by RedHat